package formen;

import java.awt.Graphics;

public abstract class Form {

    Punkt refPunkt;
    double umfang;
    double flaeche;

    public Form() {
    }

    public Form(Punkt refPunkt) {
        this.refPunkt = refPunkt;
    }

    public Form(int x, int y) {
        this.refPunkt = new Punkt(x, y);
    }

    public Punkt getRefPunkt() {
        return refPunkt;
    }

    public void setRefPunkt(Punkt refPunkt) {
        this.refPunkt = refPunkt;
    }

    abstract void verschieben(Punkt vektor);
    
    abstract void zeichnen(Graphics g);
}
